<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use Webman\Route;

Route::disableDefaultRoute();
Route::any('/login', [app\controller\IndexController::class, 'login']);
Route::any('/login/check', [app\controller\IndexController::class, 'check'])->middleware([
    app\middleware\Throttle::class
]);
Route::any('/login/code', [app\controller\IndexController::class, 'code'])->middleware([
    app\middleware\Throttle::class
]);
Route::any('/test', function ($request) {
    return view('index');
});
Route::any('/login/logout', [app\controller\IndexController::class, 'logout']);
Route::any('/logout.php', [app\controller\IndexController::class, 'logout']);
Route::any('/login/switchtor', [app\controller\IndexController::class, 'tor']);

Route::any('/dl/{id}/{way}', [app\controller\IndexController::class, 'download']);

Route::any('/zlibproxy/check', [app\controller\File::class, 'check'])->middleware([
    app\middleware\Throttle::class
]);
Route::any('/zlibproxy/download', [app\controller\File::class, 'download'])->middleware([
    app\middleware\Throttle::class
]);
Route::any('/zlibproxy/get', [app\controller\File::class, 'get'])->middleware([
    app\middleware\Throttle::class
]);

Route::fallback(function($request){
    return (new app\controller\IndexController)->index($request);
});




